Skip to main content
POST
/
projects
/
{projectId}
/
warehouse-sources
/
imports
/
people
Create a people (user profiles) import
curl --request POST \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports/people \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "import_type": "people",
  "warehouse_source_id": 123,
  "table_params": {},
  "user_column_name": "<string>",
  "json_properties_column_name": "<string>",
  "insert_time_column_name": "<string>",
  "property_mappings": {},
  "databricks_params": {
    "export_cluster_config": {
      "spark_version": "<string>",
      "node_type_id": "<string>",
      "driver_node_type_id": "<string>",
      "num_workers": 1,
      "autoscale": {
        "min_workers": 1,
        "max_workers": 2
      },
      "spark_conf": {},
      "spark_env_vars": {},
      "single_user_name": "<string>",
      "custom_tags": {},
      "policy_id": "<string>",
      "instance_pool_id": "<string>",
      "driver_instance_pool_id": "<string>",
      "enable_elastic_disk": true,
      "aws_attributes": {},
      "azure_attributes": {},
      "gcp_attributes": {},
      "init_scripts": [
        {}
      ]
    }
  }
}
'
import requests

url = "https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports/people"

payload = {
"import_type": "people",
"warehouse_source_id": 123,
"table_params": {},
"user_column_name": "<string>",
"json_properties_column_name": "<string>",
"insert_time_column_name": "<string>",
"property_mappings": {},
"databricks_params": { "export_cluster_config": {
"spark_version": "<string>",
"node_type_id": "<string>",
"driver_node_type_id": "<string>",
"num_workers": 1,
"autoscale": {
"min_workers": 1,
"max_workers": 2
},
"spark_conf": {},
"spark_env_vars": {},
"single_user_name": "<string>",
"custom_tags": {},
"policy_id": "<string>",
"instance_pool_id": "<string>",
"driver_instance_pool_id": "<string>",
"enable_elastic_disk": True,
"aws_attributes": {},
"azure_attributes": {},
"gcp_attributes": {},
"init_scripts": [{}]
} }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
import_type: 'people',
warehouse_source_id: 123,
table_params: {},
user_column_name: '<string>',
json_properties_column_name: '<string>',
insert_time_column_name: '<string>',
property_mappings: {},
databricks_params: {
export_cluster_config: {
spark_version: '<string>',
node_type_id: '<string>',
driver_node_type_id: '<string>',
num_workers: 1,
autoscale: {min_workers: 1, max_workers: 2},
spark_conf: {},
spark_env_vars: {},
single_user_name: '<string>',
custom_tags: {},
policy_id: '<string>',
instance_pool_id: '<string>',
driver_instance_pool_id: '<string>',
enable_elastic_disk: true,
aws_attributes: {},
azure_attributes: {},
gcp_attributes: {},
init_scripts: [{}]
}
}
})
};

fetch('https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "ok",
  "results": {
    "id": 123,
    "created": "2023-11-07T05:31:56Z",
    "creator_id": 123,
    "creator_name": "<string>",
    "creator_email": "<string>",
    "warehouse_source_id": 123,
    "table_params": {},
    "paused": true,
    "last_dispatch": 123,
    "is_deleted": true,
    "event_name": "<string>",
    "event_column_name": "<string>",
    "time_column_name": "<string>",
    "user_column_name": "<string>",
    "insert_time_column_name": "<string>",
    "property_mappings": {},
    "group_key": "<string>",
    "group_id_column": "<string>",
    "databricks_params": {
      "export_cluster_config": {
        "spark_version": "<string>",
        "node_type_id": "<string>",
        "driver_node_type_id": "<string>",
        "num_workers": 1,
        "autoscale": {
          "min_workers": 1,
          "max_workers": 2
        },
        "spark_conf": {},
        "spark_env_vars": {},
        "single_user_name": "<string>",
        "custom_tags": {},
        "policy_id": "<string>",
        "instance_pool_id": "<string>",
        "driver_instance_pool_id": "<string>",
        "enable_elastic_disk": true,
        "aws_attributes": {},
        "azure_attributes": {},
        "gcp_attributes": {},
        "init_scripts": [
          {}
        ]
      }
    }
  }
}
{
"error": "<string>",
"status": "error"
}
{
"error": "<string>",
"status": "error"
}
{
"error": "<string>",
"status": "error"
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

Body

application/json
import_type
enum<string>
required
Available options:
people
warehouse_source_id
integer
required
table_params
object
required

Table location parameters (structure depends on warehouse type)

user_column_name
string
required
sync_mode
enum<string>
required
Available options:
time_based,
mirror_mode,
full_sync,
one_time
json_properties_column_name
string | null
run_every
enum<integer>

Sync frequency in nanoseconds. Only these values are accepted:

  • 0 - API-triggered only (use the manual-sync endpoint to trigger)
  • 3600000000000 - Hourly
  • 86400000000000 - Daily
  • 604800000000000 - Weekly
Available options:
0,
3600000000000,
86400000000000,
604800000000000
insert_time_column_name
string | null
property_mappings
object | null
databricks_params
object | null

Response

Success

status
enum<string>

"ok" if the request succeeded, "error" otherwise.

Available options:
ok
Example:

"ok"

results
object